Return all payment methods of a customer, including
curl --request GET \
--url http://127.0.0.1:8080/v1/c/customer/{customer_id}/payment/method \
--header 'wb-key: <api-key>'import requests
url = "http://127.0.0.1:8080/v1/c/customer/{customer_id}/payment/method"
headers = {"wb-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'wb-key': '<api-key>'}};
fetch('http://127.0.0.1:8080/v1/c/customer/{customer_id}/payment/method', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created": "2023-11-07T05:31:56Z",
"details": {
"Card": {
"brand": "<string>",
"expiration": "<string>",
"last_digits": "<string>"
}
},
"id": "Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670",
"method_type": "card",
"provider": "stripe",
"status": "active",
"holder_name": "<string>",
"preference": 123
}
]Payment
List saved Payment Methods
the inactive ones but not the detached ones
GET
/
v1
/
c
/
customer
/
{customer_id}
/
payment
/
method
Return all payment methods of a customer, including
Authorizations
api-keywb_user_cookie
Path Parameters
Id of the customer
Response
200 - application/json
customer payment methods
Date the payment method was configured
Details about the configured payment method
- Card - credit card
- SepaDebit - SEPA bank payments
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Unique identifier of an object. Consists of object class prefix and a UUID
Example:
"Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670"
Type of the Payment Method:
- Card - Credit Card
- SepaDebit - SEPA bank transfer
Available options:
card, sepa_debit, vban_bank_transfer_eu The payment providers known by the backend.
Those variants MUST be kept identical to the variants of the payment_provider enum of the postgres database
Available options:
authorize, self_handled, stripe Example:
"stripe"
Payment Method Status:
- Active - can be used
- Inactive - disabled. Might be re-enabled
- Detached - disabled, can not be re-activated
- Invalid - error using payment method
Available options:
active, inactive, detached, invalid Name on the credit card
Priority of the configured payment method. Smaller number is higher priority